Bug 858404 - [abrt] blueman-1.23-3.fc18: ManagerDeviceMenu.py:238:Generate:TypeError: 'bool' object has no attribute '__getitem__'
[abrt] blueman-1.23-3.fc18: ManagerDeviceMenu.py:238:Generate:TypeError: 'boo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:dae04fefbff659993deae4b7e27...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 17:59 EDT by Przemo
Modified: 2014-05-24 11:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (401 bytes, text/plain)
2012-09-18 17:59 EDT, Przemo
no flags Details

  None (edit)
Description Przemo 2012-09-18 17:59:37 EDT
Description of problem:
Connecting Wacom Intuos4 Wireless

Version-Release number of selected component:
blueman-1.23-3.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/bin/blueman-manager
kernel:         3.6.0-rc6-1-00255-gacbfe26

backtrace:
:ManagerDeviceMenu.py:238:Generate:TypeError: 'bool' object has no attribute '__getitem__'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/gui/manager/ManagerDeviceList.py", line 169, in on_event_clicked
:    self.menu = ManagerDeviceMenu(self.Blueman)
:  File "/usr/lib/python2.7/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 59, in __init__
:    self.Generate()
:  File "/usr/lib/python2.7/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 238, in Generate
:    device = self.Blueman.List.get(self.Blueman.List.selected(), "device")["device"]
:TypeError: 'bool' object has no attribute '__getitem__'
:
:Local variables in innermost frame:
:items: []
:self: <ManagerDeviceMenu object at 0x21460a0 (GtkMenu at 0x2288910)>
:appl: <Interface <ProxyObject wrapping <dbus._dbus.SessionBus (session) at 0x2097e90> org.blueman.Applet / at 0x213cad0> implementing 'org.blueman.Applet' at 0x20bc950>
Comment 1 Przemo 2012-09-18 17:59:40 EDT
Created attachment 614139 [details]
File: core_backtrace
Comment 2 p_vergaraa 2012-10-25 13:43:45 EDT
fallo

Package: blueman-1.23-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Gennadiy 2013-05-10 04:55:38 EDT
Bluetooth headset not found Genius 980BT

Package: blueman-1.23-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Juan Manuel Rodriguez 2013-12-09 18:29:26 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.